Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::detail::cartesian_size_fn Struct Reference

## Public Member Functions
template<typename Rng , requires = (SizedRange<Rng>())>
auto | operator() (std::intmax_t s, Rng &&rng) noexcept(noexcept(decltype(s *static_cast< std::intmax_t >(ranges::size(rng)))(s *static_cast< std::intmax_t >(ranges::size(rng))))) -> decltype(s *static_cast< std::intmax_t >(ranges::size(rng)))